Skip to main content

Get Vehicle Operation Status

Description

Retrieve personal vehicle operation status, including engine start status, cumulative mileage, and parking status.

Endpoint

GET https://api.pleos.ai/v1/vehicles/{vin}/driving

Request

curl
curl -X GET "https://api.pleos.ai/v1/vehicles/{vin}/driving" \
-H "Authorization: Bearer <your_access_token>" \
-H "Brand: hyundai"

Header Params

ParameterTypeDescriptionRequired
AuthorizationstringAccess tokenRequired
BrandstringVehicle brand (hyundai/kia/genesis)Required

Path Params

ParameterTypeDescriptionRequired
vinstringVINRequired

Response

Success

200
{
"data": {
"ignition": {
"status": "on",
"ignitionDetails": [
{
"type": "ign1",
"status": "on"
},
{
"type": "ign3",
"status": "on"
},
{
"type": "acc",
"status": "on"
}
]
},
"sleepMode": "off",
"odometer": {
"value": 6549.2,
"unit": "km"
},
"transmission": {
"parkingPosition": false
},
"timestamp": "2025-09-01T09:10:00Z"
},
"meta": {
"code": 200,
"message": "Success",
"success": "true",
"timestamp": "2025-09-01T11:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
data fieldTypeDescription
ignitionobjectEngine ignition status information
└─ statusstringEngine ignition status (on, off, invalid)
└─ ignitionDetailsarrayDetailed engine ignition status information
└────── typestringVehicle electric power type
- ign1: ignition
- ign3: ignition for high voltage system
- acc: accessory mode
└────── statusstringVehicle electric power status (on, off, invalid)
sleepModestringSleep mode status of the vehicle (on, off, invalid)
odometerobjectMileage information of the vehicle
└─ valuenumberMileage value of a vehicle (range: 0~16777214)
└─ unitstringUnit of mileage of a vehicle (km, mile, meter, feet, invalid)
transmissionobjectTransmission information
└─ parkingPositionbooleanWhether transmission is in parking position
timestampstringTimestamp when data was transmitted from the vehicle (based on UTC+0) yyyy-MM-dd'T'HH:mm:ss'Z'

Failure

4002
{
"error": {
"code": "4002",
"message": "Invalid request parameters",
"details": [],
"timestamp": "2025-09-01T12:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
[Error Code]

For detailed explanation of error code on failure, refer to Error Code.